#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wextra -D_FORTIFY_SOURCE=2

%:
	dh $@
override_dh_auto_build:
	$(MAKE) all INSTDIR=/usr RC_PATH=/etc

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean

override_dh_auto_install:
	$(MAKE) install \
	INSTDIR=$(CURDIR)/debian/procmeter3/usr \
	RC_PATH=$(CURDIR)/debian/procmeter3/etc

override_dh_installdocs:
	dh_installdocs
	cp modules/README \
		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/README.modules
